Package relaxngcc.codedom

# Class CDVariable

java.lang.Object
relaxngcc.codedom.CDExpression
relaxngcc.codedom.CDVariable

All Implemented Interfaces:
  `CDStatement`

public class CDVariable extends CDExpression implements CDStatement
CDVariable. Can be used as an CDExpression to refer to this variable.

## Method Summary

Modifier and Type
Method
Description
`void`
`declare(CDFormatter f)`
`void`
`express(CDFormatter f)`
`String`
`getName()`
`void`
`state(CDFormatter f)`
Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()

### express

public void express(CDFormatter f) throws IOException

Throws:
  `IOException`

### declare

public void declare(CDFormatter f) throws IOException

Throws:
  `IOException`

### state

public void state(CDFormatter f) throws IOException
Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `IOException`